summarylogtreecommitdiffstats
path: root/xbr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xbr.sh')
-rwxr-xr-xxbr.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/xbr.sh b/xbr.sh
index 6a4045874401..f69a0c2ecff4 100755
--- a/xbr.sh
+++ b/xbr.sh
@@ -9,10 +9,11 @@ scale=4
while getopts ":s:" option; do
case $option in
s)
+ scale="$OPTARG"
if [ "$scale" -ne 2 ] && [ "$scale" -ne 3 ] && [ "$scale" -ne 4 ]; then
echo "Only scale factors of 2, 3 and 4 are supported"
+ exit 1
fi
- scale="$OPTARG"
;;
\?)
echo "Invalid option: -$OPTARG" >&2